# slabpkg

SecureLang™ Application Binary Package Manager

## Features

* Builds/installs/removes software packages
* Keeps a simple database of installed packages/files
* Compresses/decompresses individual files
* Uses custom formats (no zip/tar)
* Built-in integrity checking
* Very simple & portable codebase, plain C

## Limitations

* Doesn't handle advanced features or system integration yet, only "lowest common denominator" feature set
* No timestamps, minimal handling of permissions
* Not OS-aware, doesn't check system compatibility or have a way of organising packages for different targets yet
* Early version, so small changes to the format are to be expected

## TODO

- [ ] versioning & dependencies
- [ ] OS integration
- [ ] useful/demo packages